spandsp 0.0.6

ima_adpcm_state_s Struct Reference

`#include <ima_adpcm.h>`

## Public Attributes
int | variant
int | chunk_size
| The size of a chunk, in samples.
int | last
| The last state of the ADPCM algorithm.
int | step_index
| Current index into the step size table.
uint16_t | ima_byte
| The current IMA code byte in progress.
int | bits

## Detailed Description

IMA (DVI/Intel) ADPCM conversion state descriptor. This defines the state of a single working instance of the IMA ADPCM converter. This is used for either linear to ADPCM or ADPCM to linear conversion.

The documentation for this struct was generated from the following file:

- private/ima_adpcm.h